Subject: Re: New filter 'flow' bug?

From: Patrick McHardy <[email-masked]>
Date: Wed, 29 Oct 2008 17:46:57 +0100

[email-masked] wrote:
>>> From: [email-masked]
>>>> I'm not sure where is the bug - in the flow filter or in the sfq
>> qdisc.
>>
>> Which SFQ qdisc is stalling?
>>
> Thanks for reply.
> So I've done few tests. I've removed quantum 64 (it  was qdisc with small packets). It made no difference. It looks like the key is the first sfq qdisc (tc qdisc add dev $DEV parent 1:2 handle 2: sfq - in my example). When there is no traffic in this qdisc for about 45 seconds (shorter time when there is no traffic at all on the interface) - it stalls. Other qdiscs stall also. So there is no packet flow on that interface. Removing filters ('flow' filters) does'nt help. I have to remove (all) sfq qdiscs. And then the traffic is resumed.

Please capture the output of "tc -s -d qdisc show dev <dev>" and
"tc -s -d class show dev <dev>" immediately after it stalls.
I'm interested in the amount of bytes/packets queued at the moment.